Bug 104289 - evolution-1.4.4 segfault due to misserved IMAP message
evolution-1.4.4 segfault due to misserved IMAP message
Status: CLOSED UPSTREAM
Product: Red Hat Linux Beta
Classification: Retired
Component: evolution (Show other bugs)
beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
http://togami.com/~warren/archive/200...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-11 23:04 EDT by Warren Togami
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-15 02:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2003-09-11 23:04:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
evolution-1.4.4-5 crashes due to a Bug 104288 where dovecot IMAP misserves a
malformed message.  This dovecot IMAP problem exposes this crash in evolution.

Version-Release number of selected component (if applicable):
evolution-1.4.4-5

How reproducible:
Always
Comment 1 Warren Togami 2003-09-11 23:05:54 EDT
Backtrace was generated from '/usr/bin/evolution'

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1086839680 (LWP 5285)]
[New Thread 1120512944 (LWP 5289)]
[New Thread 1109932976 (LWP 5288)]
[New Thread 1099119536 (LWP 5287)]
[New Thread 1088629680 (LWP 5286)]
0x40000c02 in ?? () at rtld.c:274 from /lib/ld-linux.so.2
274	_dl_start (void *arg)
#0  0x40000c02 in ?? () at rtld.c:274 from /lib/ld-linux.so.2
#1  0x400205fb in ?? () from /lib/tls/libpthread.so.0
#2  0x486791f6 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
#3  0x0809b769 in segv_redirect (sig=11) at main.c:500
#4  <signal handler called>
#5  0x40000c02 in ?? () at rtld.c:274 from /lib/ld-linux.so.2
#6  0x4011a9c1 in __poll (fds=0x4017b958, nfds=15, timeout=10750)
    at ../sysdeps/unix/sysv/linux/poll.c:86
#7  0x47ef2e46 in g_main_loop_get_context () from /usr/lib/libglib-2.0.so.0
#8  0x47ef2276 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#9  0x47ef29cf in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#10 0x485b2088 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#11 0x0809bb64 in main (argc=1076, argv=0xbfeee184) at main.c:637

Thread 5 (Thread 1088629680 (LWP 5286)):
#0  0x40000c02 in ?? () at rtld.c:274 from /lib/ld-linux.so.2
	library_path = 0x0
	relocate_time = 67512758
	rtld_total_time = 143891441
	_dl_rtld_libname2 = {name = 0x0, next = 0x0, dont_free = 0}
	start_time = 3112989219236
	any_debug = 0
	_dl_rtld_libname = {name = 0x8048114 "/lib/ld-linux.so.2", 
  next = 0xbf385bc8, dont_free = 0}
	version_info = 0
	preloadlist = 0x0
	load_time = 28282925
	_dl_skip_args = 0
	_dl_argv = (char **) 0xbfeee184
	_dl_starting_up = 0
	_dl_starting_up_internal = 0
	_rtld_local = {_dl_loaded = 0x40015758, _dl_nloaded = 112, 
  _dl_global_scope = {0x400158a8, 0x0}, _dl_main_searchlist = 0x400158a8, 
  _dl_initial_searchlist = {r_list = 0xbf3844c0, r_nlist = 67}, 
  _dl_global_scope_alloc = 114, _dl_debug_mask = 0, _dl_pagesize = 4096, 
  _dl_load_lock = {mutex = {__m_reserved = 0, __m_count = 0, __m_owner = 0x0, 
      __m_kind = 1, __m_lock = {__status = 0, __spinlock = 0}}}, 
  _dl_osversion = 132118, _dl_platform = 0xbff6fced "i686", 
  _dl_platformlen = 4, _dl_clktck = 100, _dl_verbose = 0, _dl_lazy = 1, 
  _dl_bind_not = 0, _dl_dynamic_weak = 0, _dl_fpu_control = 895, 
  _dl_initfirst = 0x0, _dl_cpuclock_offset = 3112989225230, 
  _dl_hp_timing_overhead = 11, _dl_profile = 0x0, _dl_profile_map = 0x0, 
  _dl_profile_output = 0x40012055 "/var/tmp", _dl_trace_prelink_map = 0x0, 
  _dl_trace_prelink = 0x0, _dl_correct_cache_id = 3, 
  _dl_num_relocations = 18819, _dl_num_cache_relocations = 5107, 
  _dl_hwcap = 58980863, _dl_hwcap_mask = 8388608, _dl_inhibit_rpath = 0x0, 
  _dl_origin_path = 0x0, _dl_all_dirs = 0x40015dd8, 
  _dl_init_all_dirs = 0x40015dd8, _dl_debug_fd = 2, 
  _dl_error_catch_tsd = 0x401567c0 <__libc_dl_error_tsd>, _dl_x86_cap_flags = {
    "fpu\000\000\000\000", "vme\000\000\000\000", "de\000\000\000\000\000", 
    "pse\000\000\000\000", "tsc\000\000\000\000", "msr\000\000\000\000", 
    "pae\000\000\000\000", "mce\000\000\000\000", "cx8\000\000\000\000", 
    "apic\000\000\000", "10\000\000\000\000\000", "sep\000\000\000\000", 
    "mtrr\000\000\000", "pge\000\000\000\000", "mca\000\000\000\000", 
    "cmov\000\000\000", "pat\000\000\000\000", "pse36\000\000", 
    "pn\000\000\000\000\000", "clflush", "20\000\000\000\000\000", 
    "dts\000\000\000\000", "acpi\000\000\000", "mmx\000\000\000\000", 
    "fxsr\000\000\000", "sse\000\000\000\000", "sse2\000\000\000", 
    "ss\000\000\000\000\000", "ht\000\000\000\000\000", 
    "tm\000\000\000\000\000", "ia64\000\000\000", "pbe\000\000\000\000"}, 
  _dl_x86_platforms = {"i386", "i486", "i586", "i686"}, _dl_rtld_map = {
    l_addr = 1073741824, l_name = 0x8048114 "/lib/ld-linux.so.2", 
    l_ld = 0x4001544c, l_next = 0xbf384000, l_prev = 0xbf385788, 
    l_libname = 0x400155a4, l_info = {0x0, 0x0, 0x40015484, 0x4001547c, 
      0x40015454, 0x4001545c, 0x40015464, 0x0, 0x0, 0x0, 0x4001546c, 
      0x40015474, 0x0, 0x0, 0x4001544c, 0x0, 0x0, 0x4001549c, 0x400154a4, 
      0x400154ac, 0x4001548c, 0x0, 0x0, 0x40015494, 0x0 <repeats 12 times>, 
      0x400154bc, 0x400154b4, 0x0, 0x400154cc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 
      0x0, 0x0, 0x0, 0x400154c4, 0x0 <repeats 25 times>}, l_phdr = 0x40000034, 
    l_entry = 0, l_phnum = 5, l_ldnum = 0, l_searchlist = {r_list = 0x0, 
      r_nlist = 0}, l_symbolic_searchlist = {r_list = 0x0, r_nlist = 0}, 
    l_loader = 0x0, l_nbuckets = 67, l_buckets = 0x400000dc, 
    l_chain = 0x400001e8, l_opencount = 29, l_type = lt_library, 
    l_relocated = 1, l_init_called = 1, l_global = 1, l_reserved = 0, 
    l_phdr_allocated = 0, l_soname_added = 1, l_faked = 0, 
    l_need_tls_init = 0, l_nversions = 6, l_versions = 0xbf382150, 
    l_rpath_dirs = {dirs = 0x0, malloced = 0}, l_reloc_result = 0x0, 
    l_versyms = 0x40000a1e, l_origin = 0x0, l_map_start = 1073741824, 
    l_map_end = 1073829720, l_scope_mem = {0x0, 0x0, 0x0, 0x0}, 
    l_scope_max = 0, l_scope = 0x0, l_local_scope = {0x0, 0x0}, l_dev = 0, 
    l_ino = 0, l_runpath_dirs = {dirs = 0x0, malloced = 0}, l_initfini = 0x0, 
    l_reldepsmax = 0, l_reldepsact = 0, l_reldeps = 0x0, l_feature_1 = 0, 
    l_flags_1 = 0, l_flags = 0, l_idx = 0, l_mach = {plt = 0, gotplt = 0}, 
    l_lookup_cache = {sym = 0x400006c0, type_class = 1, value = 0xbf389000, 
      ret = 0x40056d4c}, l_tls_initimage = 0x0, l_tls_initimage_size = 0, 
    l_tls_blocksize = 0, l_tls_align = 0, l_tls_firstbyte_offset = 0, 
    l_tls_offset = 0, l_tls_modid = 0}, 
  _dl_rtld_lock_recursive = 0x4001c3c0 <__pthread_mutex_lock>, 
  _dl_rtld_unlock_recursive = 0x4001c630 <__pthread_mutex_unlock>, 
  _dl_tls_max_dtv_idx = 1, _dl_tls_dtv_gaps = false, 
  _dl_tls_dtv_slotinfo_list = 0xbf3821f0, _dl_tls_static_nelem = 1, 
  _dl_tls_static_size = 1232, _dl_tls_static_used = 40, 
  _dl_tls_static_align = 32, _dl_initial_dtv = 0xbf3828d4, 
  _dl_tls_generation = 0, 
  _dl_init_static_tls = 0x4001ac40 <__pthread_init_static_tls>, 
  _dl_sysinfo = 1073744896, _dl_sysinfo_dso = 0x0}
	_rtld_global = {_dl_loaded = 0x40015758, _dl_nloaded = 112, 
  _dl_global_scope = {0x400158a8, 0x0}, _dl_main_searchlist = 0x400158a8, 
  _dl_initial_searchlist = {r_list = 0xbf3844c0, r_nlist = 67}, 
  _dl_global_scope_alloc = 114, _dl_debug_mask = 0, _dl_pagesize = 4096, 
  _dl_load_lock = {mutex = {__m_reserved = 0, __m_count = 0, __m_owner = 0x0, 
      __m_kind = 1, __m_lock = {__status = 0, __spinlock = 0}}}, 
  _dl_osversion = 132118, _dl_platform = 0xbff6fced "i686", 
  _dl_platformlen = 4, _dl_clktck = 100, _dl_verbose = 0, _dl_lazy = 1, 
  _dl_bind_not = 0, _dl_dynamic_weak = 0, _dl_fpu_control = 895, 
  _dl_initfirst = 0x0, _dl_cpuclock_offset = 3112989225230, 
  _dl_hp_timing_overhead = 11, _dl_profile = 0x0, _dl_profile_map = 0x0, 
  _dl_profile_output = 0x40012055 "/var/tmp", _dl_trace_prelink_map = 0x0, 
  _dl_trace_prelink = 0x0, _dl_correct_cache_id = 3, 
  _dl_num_relocations = 18819, _dl_num_cache_relocations = 5107, 
  _dl_hwcap = 58980863, _dl_hwcap_mask = 8388608, _dl_inhibit_rpath = 0x0, 
  _dl_origin_path = 0x0, _dl_all_dirs = 0x40015dd8, 
  _dl_init_all_dirs = 0x40015dd8, _dl_debug_fd = 2, 
  _dl_error_catch_tsd = 0x401567c0 <__libc_dl_error_tsd>, _dl_x86_cap_flags = {
    "fpu\000\000\000\000", "vme\000\000\000\000", "de\000\000\000\000\000", 
    "pse\000\000\000\000", "tsc\000\000\000\000", "msr\000\000\000\000", 
    "pae\000\000\000\000", "mce\000\000\000\000", "cx8\000\000\000\000", 
    "apic\000\000\000", "10\000\000\000\000\000", "sep\000\000\000\000", 
    "mtrr\000\000\000", "pge\000\000\000\000", "mca\000\000\000\000", 
    "cmov\000\000\000", "pat\000\000\000\000", "pse36\000\000", 
    "pn\000\000\000\000\000", "clflush", "20\000\000\000\000\000", 
    "dts\000\000\000\000", "acpi\000\000\000", "mmx\000\000\000\000", 
    "fxsr\000\000\000", "sse\000\000\000\000", "sse2\000\000\000", 
    "ss\000\000\000\000\000", "ht\000\000\000\000\000", 
    "tm\000\000\000\000\000", "ia64\000\000\000", "pbe\000\000\000\000"}, 
  _dl_x86_platforms = {"i386", "i486", "i586", "i686"}, _dl_rtld_map = {
    l_addr = 1073741824, l_name = 0x8048114 "/lib/ld-linux.so.2", 
    l_ld = 0x4001544c, l_next = 0xbf384000, l_prev = 0xbf385788, 
    l_libname = 0x400155a4, l_info = {0x0, 0x0, 0x40015484, 0x4001547c, 
      0x40015454, 0x4001545c, 0x40015464, 0x0, 0x0, 0x0, 0x4001546c, 
      0x40015474, 0x0, 0x0, 0x4001544c, 0x0, 0x0, 0x4001549c, 0x400154a4, 
      0x400154ac, 0x4001548c, 0x0, 0x0, 0x40015494, 0x0 <repeats 12 times>, 
      0x400154bc, 0x400154b4, 0x0, 0x400154cc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 
      0x0, 0x0, 0x0, 0x400154c4, 0x0 <repeats 25 times>}, l_phdr = 0x40000034, 
    l_entry = 0, l_phnum = 5, l_ldnum = 0, l_searchlist = {r_list = 0x0, 
      r_nlist = 0}, l_symbolic_searchlist = {r_list = 0x0, r_nlist = 0}, 
    l_loader = 0x0, l_nbuckets = 67, l_buckets = 0x400000dc, 
    l_chain = 0x400001e8, l_opencount = 29, l_type = lt_library, 
    l_relocated = 1, l_init_called = 1, l_global = 1, l_reserved = 0, 
    l_phdr_allocated = 0, l_soname_added = 1, l_faked = 0, 
    l_need_tls_init = 0, l_nversions = 6, l_versions = 0xbf382150, 
    l_rpath_dirs = {dirs = 0x0, malloced = 0}, l_reloc_result = 0x0, 
    l_versyms = 0x40000a1e, l_origin = 0x0, l_map_start = 1073741824, 
    l_map_end = 1073829720, l_scope_mem = {0x0, 0x0, 0x0, 0x0}, 
    l_scope_max = 0, l_scope = 0x0, l_local_scope = {0x0, 0x0}, l_dev = 0, 
    l_ino = 0, l_runpath_dirs = {dirs = 0x0, malloced = 0}, l_initfini = 0x0, 
    l_reldepsmax = 0, l_reldepsact = 0, l_reldeps = 0x0, l_feature_1 = 0, 
    l_flags_1 = 0, l_flags = 0, l_idx = 0, l_mach = {plt = 0, gotplt = 0}, 
    l_lookup_cache = {sym = 0x400006c0, type_class = 1, value = 0xbf389000, 
      ret = 0x40056d4c}, l_tls_initimage = 0x0, l_tls_initimage_size = 0, 
    l_tls_blocksize = 0, l_tls_align = 0, l_tls_firstbyte_offset = 0, 
    l_tls_offset = 0, l_tls_modid = 0}, 
  _dl_rtld_lock_recursive = 0x4001c3c0 <__pthread_mutex_lock>, 
  _dl_rtld_unlock_recursive = 0x4001c630 <__pthread_mutex_unlock>, 
  _dl_tls_max_dtv_idx = 1, _dl_tls_dtv_gaps = false, 
  _dl_tls_dtv_slotinfo_list = 0xbf3821f0, _dl_tls_static_nelem = 1, 
  _dl_tls_static_size = 1232, _dl_tls_static_used = 40, 
  _dl_tls_static_align = 32, _dl_initial_dtv = 0xbf3828d4, 
  _dl_tls_generation = 0, 
  _dl_init_static_tls = 0x4001ac40 <__pthread_init_static_tls>, 
  _dl_sysinfo = 1073744896, _dl_sysinfo_dso = 0x0}
	_dl_argc = 1
	_dl_argv_internal = (char **) 0xbfeee184
#1  0x4001cece in ?? () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x47dacb69 in e_msgport_wait (mp=0x9a63de0) at e-msgport.c:305
	_buffer = {__routine = 0x47dac9b0 <msgport_cleanlock>, 
  __arg = 0x9a63de0, __canceltype = 1088629264, __prev = 0x0}
	msg = (EMsg *) 0x40e329c8
#3  0x47dad38d in thread_dispatch (din=0x9a64130) at e-msgport.c:665
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1088629680
#4  0x4001a51a in start_thread (arg=0xfffffffc) at pthread_create.c:264
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0x40e32bb0
	now = 38654705660
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1073887480, 1088629680, 0, 
        1088629524, 1088629420, 1073849598}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = <value optimized out>
#5  0x40123a37 in ?? () from /lib/tls/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x4015b210

Thread 4 (Thread 1099119536 (LWP 5287)):
#0  0x40000c02 in ?? () at rtld.c:274 from /lib/ld-linux.so.2
	library_path = 0x0
	relocate_time = 67512758
	rtld_total_time = 143891441
	_dl_rtld_libname2 = {name = 0x0, next = 0x0, dont_free = 0}
	start_time = 3112989219236
	any_debug = 0
	_dl_rtld_libname = {name = 0x8048114 "/lib/ld-linux.so.2", 
  next = 0xbf385bc8, dont_free = 0}
	version_info = 0
	preloadlist = 0x0
	load_time = 28282925
	_dl_skip_args = 0
	_dl_argv = (char **) 0xbfeee184
	_dl_starting_up = 0
	_dl_starting_up_internal = 0
	_rtld_local = {_dl_loaded = 0x40015758, _dl_nloaded = 112, 
  _dl_global_scope = {0x400158a8, 0x0}, _dl_main_searchlist = 0x400158a8, 
  _dl_initial_searchlist = {r_list = 0xbf3844c0, r_nlist = 67}, 
  _dl_global_scope_alloc = 114, _dl_debug_mask = 0, _dl_pagesize = 4096, 
  _dl_load_lock = {mutex = {__m_reserved = 0, __m_count = 0, __m_owner = 0x0, 
      __m_kind = 1, __m_lock = {__status = 0, __spinlock = 0}}}, 
  _dl_osversion = 132118, _dl_platform = 0xbff6fced "i686", 
  _dl_platformlen = 4, _dl_clktck = 100, _dl_verbose = 0, _dl_lazy = 1, 
  _dl_bind_not = 0, _dl_dynamic_weak = 0, _dl_fpu_control = 895, 
  _dl_initfirst = 0x0, _dl_cpuclock_offset = 3112989225230, 
  _dl_hp_timing_overhead = 11, _dl_profile = 0x0, _dl_profile_map = 0x0, 
  _dl_profile_output = 0x40012055 "/var/tmp", _dl_trace_prelink_map = 0x0, 
  _dl_trace_prelink = 0x0, _dl_correct_cache_id = 3, 
  _dl_num_relocations = 18819, _dl_num_cache_relocations = 5107, 
  _dl_hwcap = 58980863, _dl_hwcap_mask = 8388608, _dl_inhibit_rpath = 0x0, 
  _dl_origin_path = 0x0, _dl_all_dirs = 0x40015dd8, 
  _dl_init_all_dirs = 0x40015dd8, _dl_debug_fd = 2, 
  _dl_error_catch_tsd = 0x401567c0 <__libc_dl_error_tsd>, _dl_x86_cap_flags = {
    "fpu\000\000\000\000", "vme\000\000\000\000", "de\000\000\000\000\000", 
    "pse\000\000\000\000", "tsc\000\000\000\000", "msr\000\000\000\000", 
    "pae\000\000\000\000", "mce\000\000\000\000", "cx8\000\000\000\000", 
    "apic\000\000\000", "10\000\000\000\000\000", "sep\000\000\000\000", 
    "mtrr\000\000\000", "pge\000\000\000\000", "mca\000\000\000\000", 
    "cmov\000\000\000", "pat\000\000\000\000", "pse36\000\000", 
    "pn\000\000\000\000\000", "clflush", "20\000\000\000\000\000", 
    "dts\000\000\000\000", "acpi\000\000\000", "mmx\000\000\000\000", 
    "fxsr\000\000\000", "sse\000\000\000\000", "sse2\000\000\000", 
    "ss\000\000\000\000\000", "ht\000\000\000\000\000", 
    "tm\000\000\000\000\000", "ia64\000\000\000", "pbe\000\000\000\000"}, 
  _dl_x86_platforms = {"i386", "i486", "i586", "i686"}, _dl_rtld_map = {
    l_addr = 1073741824, l_name = 0x8048114 "/lib/ld-linux.so.2", 
    l_ld = 0x4001544c, l_next = 0xbf384000, l_prev = 0xbf385788, 
    l_libname = 0x400155a4, l_info = {0x0, 0x0, 0x40015484, 0x4001547c, 
      0x40015454, 0x4001545c, 0x40015464, 0x0, 0x0, 0x0, 0x4001546c, 
      0x40015474, 0x0, 0x0, 0x4001544c, 0x0, 0x0, 0x4001549c, 0x400154a4, 
      0x400154ac, 0x4001548c, 0x0, 0x0, 0x40015494, 0x0 <repeats 12 times>, 
      0x400154bc, 0x400154b4, 0x0, 0x400154cc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 
      0x0, 0x0, 0x0, 0x400154c4, 0x0 <repeats 25 times>}, l_phdr = 0x40000034, 
    l_entry = 0, l_phnum = 5, l_ldnum = 0, l_searchlist = {r_list = 0x0, 
      r_nlist = 0}, l_symbolic_searchlist = {r_list = 0x0, r_nlist = 0}, 
    l_loader = 0x0, l_nbuckets = 67, l_buckets = 0x400000dc, 
    l_chain = 0x400001e8, l_opencount = 29, l_type = lt_library, 
    l_relocated = 1, l_init_called = 1, l_global = 1, l_reserved = 0, 
    l_phdr_allocated = 0, l_soname_added = 1, l_faked = 0, 
    l_need_tls_init = 0, l_nversions = 6, l_versions = 0xbf382150, 
    l_rpath_dirs = {dirs = 0x0, malloced = 0}, l_reloc_result = 0x0, 
    l_versyms = 0x40000a1e, l_origin = 0x0, l_map_start = 1073741824, 
    l_map_end = 1073829720, l_scope_mem = {0x0, 0x0, 0x0, 0x0}, 
    l_scope_max = 0, l_scope = 0x0, l_local_scope = {0x0, 0x0}, l_dev = 0, 
    l_ino = 0, l_runpath_dirs = {dirs = 0x0, malloced = 0}, l_initfini = 0x0, 
    l_reldepsmax = 0, l_reldepsact = 0, l_reldeps = 0x0, l_feature_1 = 0, 
    l_flags_1 = 0, l_flags = 0, l_idx = 0, l_mach = {plt = 0, gotplt = 0}, 
    l_lookup_cache = {sym = 0x400006c0, type_class = 1, value = 0xbf389000, 
      ret = 0x40056d4c}, l_tls_initimage = 0x0, l_tls_initimage_size = 0, 
    l_tls_blocksize = 0, l_tls_align = 0, l_tls_firstbyte_offset = 0, 
    l_tls_offset = 0, l_tls_modid = 0}, 
  _dl_rtld_lock_recursive = 0x4001c3c0 <__pthread_mutex_lock>, 
  _dl_rtld_unlock_recursive = 0x4001c630 <__pthread_mutex_unlock>, 
  _dl_tls_max_dtv_idx = 1, _dl_tls_dtv_gaps = false, 
  _dl_tls_dtv_slotinfo_list = 0xbf3821f0, _dl_tls_static_nelem = 1, 
  _dl_tls_static_size = 1232, _dl_tls_static_used = 40, 
  _dl_tls_static_align = 32, _dl_initial_dtv = 0xbf3828d4, 
  _dl_tls_generation = 0, 
  _dl_init_static_tls = 0x4001ac40 <__pthread_init_static_tls>, 
  _dl_sysinfo = 1073744896, _dl_sysinfo_dso = 0x0}
	_rtld_global = {_dl_loaded = 0x40015758, _dl_nloaded = 112, 
  _dl_global_scope = {0x400158a8, 0x0}, _dl_main_searchlist = 0x400158a8, 
  _dl_initial_searchlist = {r_list = 0xbf3844c0, r_nlist = 67}, 
  _dl_global_scope_alloc = 114, _dl_debug_mask = 0, _dl_pagesize = 4096, 
  _dl_load_lock = {mutex = {__m_reserved = 0, __m_count = 0, __m_owner = 0x0, 
      __m_kind = 1, __m_lock = {__status = 0, __spinlock = 0}}}, 
  _dl_osversion = 132118, _dl_platform = 0xbff6fced "i686", 
  _dl_platformlen = 4, _dl_clktck = 100, _dl_verbose = 0, _dl_lazy = 1, 
  _dl_bind_not = 0, _dl_dynamic_weak = 0, _dl_fpu_control = 895, 
  _dl_initfirst = 0x0, _dl_cpuclock_offset = 3112989225230, 
  _dl_hp_timing_overhead = 11, _dl_profile = 0x0, _dl_profile_map = 0x0, 
  _dl_profile_output = 0x40012055 "/var/tmp", _dl_trace_prelink_map = 0x0, 
  _dl_trace_prelink = 0x0, _dl_correct_cache_id = 3, 
  _dl_num_relocations = 18819, _dl_num_cache_relocations = 5107, 
  _dl_hwcap = 58980863, _dl_hwcap_mask = 8388608, _dl_inhibit_rpath = 0x0, 
  _dl_origin_path = 0x0, _dl_all_dirs = 0x40015dd8, 
  _dl_init_all_dirs = 0x40015dd8, _dl_debug_fd = 2, 
  _dl_error_catch_tsd = 0x401567c0 <__libc_dl_error_tsd>, _dl_x86_cap_flags = {
    "fpu\000\000\000\000", "vme\000\000\000\000", "de\000\000\000\000\000", 
    "pse\000\000\000\000", "tsc\000\000\000\000", "msr\000\000\000\000", 
    "pae\000\000\000\000", "mce\000\000\000\000", "cx8\000\000\000\000", 
    "apic\000\000\000", "10\000\000\000\000\000", "sep\000\000\000\000", 
    "mtrr\000\000\000", "pge\000\000\000\000", "mca\000\000\000\000", 
    "cmov\000\000\000", "pat\000\000\000\000", "pse36\000\000", 
    "pn\000\000\000\000\000", "clflush", "20\000\000\000\000\000", 
    "dts\000\000\000\000", "acpi\000\000\000", "mmx\000\000\000\000", 
    "fxsr\000\000\000", "sse\000\000\000\000", "sse2\000\000\000", 
    "ss\000\000\000\000\000", "ht\000\000\000\000\000", 
    "tm\000\000\000\000\000", "ia64\000\000\000", "pbe\000\000\000\000"}, 
  _dl_x86_platforms = {"i386", "i486", "i586", "i686"}, _dl_rtld_map = {
    l_addr = 1073741824, l_name = 0x8048114 "/lib/ld-linux.so.2", 
    l_ld = 0x4001544c, l_next = 0xbf384000, l_prev = 0xbf385788, 
    l_libname = 0x400155a4, l_info = {0x0, 0x0, 0x40015484, 0x4001547c, 
      0x40015454, 0x4001545c, 0x40015464, 0x0, 0x0, 0x0, 0x4001546c, 
      0x40015474, 0x0, 0x0, 0x4001544c, 0x0, 0x0, 0x4001549c, 0x400154a4, 
      0x400154ac, 0x4001548c, 0x0, 0x0, 0x40015494, 0x0 <repeats 12 times>, 
      0x400154bc, 0x400154b4, 0x0, 0x400154cc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 
      0x0, 0x0, 0x0, 0x400154c4, 0x0 <repeats 25 times>}, l_phdr = 0x40000034, 
    l_entry = 0, l_phnum = 5, l_ldnum = 0, l_searchlist = {r_list = 0x0, 
      r_nlist = 0}, l_symbolic_searchlist = {r_list = 0x0, r_nlist = 0}, 
    l_loader = 0x0, l_nbuckets = 67, l_buckets = 0x400000dc, 
    l_chain = 0x400001e8, l_opencount = 29, l_type = lt_library, 
    l_relocated = 1, l_init_called = 1, l_global = 1, l_reserved = 0, 
    l_phdr_allocated = 0, l_soname_added = 1, l_faked = 0, 
    l_need_tls_init = 0, l_nversions = 6, l_versions = 0xbf382150, 
    l_rpath_dirs = {dirs = 0x0, malloced = 0}, l_reloc_result = 0x0, 
    l_versyms = 0x40000a1e, l_origin = 0x0, l_map_start = 1073741824, 
    l_map_end = 1073829720, l_scope_mem = {0x0, 0x0, 0x0, 0x0}, 
    l_scope_max = 0, l_scope = 0x0, l_local_scope = {0x0, 0x0}, l_dev = 0, 
    l_ino = 0, l_runpath_dirs = {dirs = 0x0, malloced = 0}, l_initfini = 0x0, 
    l_reldepsmax = 0, l_reldepsact = 0, l_reldeps = 0x0, l_feature_1 = 0, 
    l_flags_1 = 0, l_flags = 0, l_idx = 0, l_mach = {plt = 0, gotplt = 0}, 
    l_lookup_cache = {sym = 0x400006c0, type_class = 1, value = 0xbf389000, 
      ret = 0x40056d4c}, l_tls_initimage = 0x0, l_tls_initimage_size = 0, 
    l_tls_blocksize = 0, l_tls_align = 0, l_tls_firstbyte_offset = 0, 
    l_tls_offset = 0, l_tls_modid = 0}, 
  _dl_rtld_lock_recursive = 0x4001c3c0 <__pthread_mutex_lock>, 
  _dl_rtld_unlock_recursive = 0x4001c630 <__pthread_mutex_unlock>, 
  _dl_tls_max_dtv_idx = 1, _dl_tls_dtv_gaps = false, 
  _dl_tls_dtv_slotinfo_list = 0xbf3821f0, _dl_tls_static_nelem = 1, 
  _dl_tls_static_size = 1232, _dl_tls_static_used = 40, 
  _dl_tls_static_align = 32, _dl_initial_dtv = 0xbf3828d4, 
  _dl_tls_generation = 0, 
  _dl_init_static_tls = 0x4001ac40 <__pthread_init_static_tls>, 
  _dl_sysinfo = 1073744896, _dl_sysinfo_dso = 0x0}
	_dl_argc = 1
	_dl_argv_internal = (char **) 0xbfeee184
#1  0x4001cece in ?? () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x47dacb69 in e_msgport_wait (mp=0x9a63f28) at e-msgport.c:305
	_buffer = {__routine = 0x47dac9b0 <msgport_cleanlock>, 
  __arg = 0x9a63f28, __canceltype = 1099119120, __prev = 0x0}
	msg = (EMsg *) 0x418339c8
#3  0x47dad38d in thread_dispatch (din=0x9a641a8) at e-msgport.c:665
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1099119536
#4  0x4001a51a in start_thread (arg=0xfffffffc) at pthread_create.c:264
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0x41833bb0
	now = 8589934588
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1073887480, 1099119536, 0, 
        1099119380, 1099119276, 1073849598}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = <value optimized out>
#5  0x40123a37 in ?? () from /lib/tls/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x4015b210

Thread 3 (Thread 1109932976 (LWP 5288)):
#0  0x40000c02 in ?? () at rtld.c:274 from /lib/ld-linux.so.2
	library_path = 0x0
	relocate_time = 67512758
	rtld_total_time = 143891441
	_dl_rtld_libname2 = {name = 0x0, next = 0x0, dont_free = 0}
	start_time = 3112989219236
	any_debug = 0
	_dl_rtld_libname = {name = 0x8048114 "/lib/ld-linux.so.2", 
  next = 0xbf385bc8, dont_free = 0}
	version_info = 0
	preloadlist = 0x0
	load_time = 28282925
	_dl_skip_args = 0
	_dl_argv = (char **) 0xbfeee184
	_dl_starting_up = 0
	_dl_starting_up_internal = 0
	_rtld_local = {_dl_loaded = 0x40015758, _dl_nloaded = 112, 
  _dl_global_scope = {0x400158a8, 0x0}, _dl_main_searchlist = 0x400158a8, 
  _dl_initial_searchlist = {r_list = 0xbf3844c0, r_nlist = 67}, 
  _dl_global_scope_alloc = 114, _dl_debug_mask = 0, _dl_pagesize = 4096, 
  _dl_load_lock = {mutex = {__m_reserved = 0, __m_count = 0, __m_owner = 0x0, 
      __m_kind = 1, __m_lock = {__status = 0, __spinlock = 0}}}, 
  _dl_osversion = 132118, _dl_platform = 0xbff6fced "i686", 
  _dl_platformlen = 4, _dl_clktck = 100, _dl_verbose = 0, _dl_lazy = 1, 
  _dl_bind_not = 0, _dl_dynamic_weak = 0, _dl_fpu_control = 895, 
  _dl_initfirst = 0x0, _dl_cpuclock_offset = 3112989225230, 
  _dl_hp_timing_overhead = 11, _dl_profile = 0x0, _dl_profile_map = 0x0, 
  _dl_profile_output = 0x40012055 "/var/tmp", _dl_trace_prelink_map = 0x0, 
  _dl_trace_prelink = 0x0, _dl_correct_cache_id = 3, 
  _dl_num_relocations = 18819, _dl_num_cache_relocations = 5107, 
  _dl_hwcap = 58980863, _dl_hwcap_mask = 8388608, _dl_inhibit_rpath = 0x0, 
  _dl_origin_path = 0x0, _dl_all_dirs = 0x40015dd8, 
  _dl_init_all_dirs = 0x40015dd8, _dl_debug_fd = 2, 
  _dl_error_catch_tsd = 0x401567c0 <__libc_dl_error_tsd>, _dl_x86_cap_flags = {
    "fpu\000\000\000\000", "vme\000\000\000\000", "de\000\000\000\000\000", 
    "pse\000\000\000\000", "tsc\000\000\000\000", "msr\000\000\000\000", 
    "pae\000\000\000\000", "mce\000\000\000\000", "cx8\000\000\000\000", 
    "apic\000\000\000", "10\000\000\000\000\000", "sep\000\000\000\000", 
    "mtrr\000\000\000", "pge\000\000\000\000", "mca\000\000\000\000", 
    "cmov\000\000\000", "pat\000\000\000\000", "pse36\000\000", 
    "pn\000\000\000\000\000", "clflush", "20\000\000\000\000\000", 
    "dts\000\000\000\000", "acpi\000\000\000", "mmx\000\000\000\000", 
    "fxsr\000\000\000", "sse\000\000\000\000", "sse2\000\000\000", 
    "ss\000\000\000\000\000", "ht\000\000\000\000\000", 
    "tm\000\000\000\000\000", "ia64\000\000\000", "pbe\000\000\000\000"}, 
  _dl_x86_platforms = {"i386", "i486", "i586", "i686"}, _dl_rtld_map = {
    l_addr = 1073741824, l_name = 0x8048114 "/lib/ld-linux.so.2", 
    l_ld = 0x4001544c, l_next = 0xbf384000, l_prev = 0xbf385788, 
    l_libname = 0x400155a4, l_info = {0x0, 0x0, 0x40015484, 0x4001547c, 
      0x40015454, 0x4001545c, 0x40015464, 0x0, 0x0, 0x0, 0x4001546c, 
      0x40015474, 0x0, 0x0, 0x4001544c, 0x0, 0x0, 0x4001549c, 0x400154a4, 
      0x400154ac, 0x4001548c, 0x0, 0x0, 0x40015494, 0x0 <repeats 12 times>, 
      0x400154bc, 0x400154b4, 0x0, 0x400154cc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 
      0x0, 0x0, 0x0, 0x400154c4, 0x0 <repeats 25 times>}, l_phdr = 0x40000034, 
    l_entry = 0, l_phnum = 5, l_ldnum = 0, l_searchlist = {r_list = 0x0, 
      r_nlist = 0}, l_symbolic_searchlist = {r_list = 0x0, r_nlist = 0}, 
    l_loader = 0x0, l_nbuckets = 67, l_buckets = 0x400000dc, 
    l_chain = 0x400001e8, l_opencount = 29, l_type = lt_library, 
    l_relocated = 1, l_init_called = 1, l_global = 1, l_reserved = 0, 
    l_phdr_allocated = 0, l_soname_added = 1, l_faked = 0, 
    l_need_tls_init = 0, l_nversions = 6, l_versions = 0xbf382150, 
    l_rpath_dirs = {dirs = 0x0, malloced = 0}, l_reloc_result = 0x0, 
    l_versyms = 0x40000a1e, l_origin = 0x0, l_map_start = 1073741824, 
    l_map_end = 1073829720, l_scope_mem = {0x0, 0x0, 0x0, 0x0}, 
    l_scope_max = 0, l_scope = 0x0, l_local_scope = {0x0, 0x0}, l_dev = 0, 
    l_ino = 0, l_runpath_dirs = {dirs = 0x0, malloced = 0}, l_initfini = 0x0, 
    l_reldepsmax = 0, l_reldepsact = 0, l_reldeps = 0x0, l_feature_1 = 0, 
    l_flags_1 = 0, l_flags = 0, l_idx = 0, l_mach = {plt = 0, gotplt = 0}, 
    l_lookup_cache = {sym = 0x400006c0, type_class = 1, value = 0xbf389000, 
      ret = 0x40056d4c}, l_tls_initimage = 0x0, l_tls_initimage_size = 0, 
    l_tls_blocksize = 0, l_tls_align = 0, l_tls_firstbyte_offset = 0, 
    l_tls_offset = 0, l_tls_modid = 0}, 
  _dl_rtld_lock_recursive = 0x4001c3c0 <__pthread_mutex_lock>, 
  _dl_rtld_unlock_recursive = 0x4001c630 <__pthread_mutex_unlock>, 
  _dl_tls_max_dtv_idx = 1, _dl_tls_dtv_gaps = false, 
  _dl_tls_dtv_slotinfo_list = 0xbf3821f0, _dl_tls_static_nelem = 1, 
  _dl_tls_static_size = 1232, _dl_tls_static_used = 40, 
  _dl_tls_static_align = 32, _dl_initial_dtv = 0xbf3828d4, 
  _dl_tls_generation = 0, 
  _dl_init_static_tls = 0x4001ac40 <__pthread_init_static_tls>, 
  _dl_sysinfo = 1073744896, _dl_sysinfo_dso = 0x0}
	_rtld_global = {_dl_loaded = 0x40015758, _dl_nloaded = 112, 
  _dl_global_scope = {0x400158a8, 0x0}, _dl_main_searchlist = 0x400158a8, 
  _dl_initial_searchlist = {r_list = 0xbf3844c0, r_nlist = 67}, 
  _dl_global_scope_alloc = 114, _dl_debug_mask = 0, _dl_pagesize = 4096, 
  _dl_load_lock = {mutex = {__m_reserved = 0, __m_count = 0, __m_owner = 0x0, 
      __m_kind = 1, __m_lock = {__status = 0, __spinlock = 0}}}, 
  _dl_osversion = 132118, _dl_platform = 0xbff6fced "i686", 
  _dl_platformlen = 4, _dl_clktck = 100, _dl_verbose = 0, _dl_lazy = 1, 
  _dl_bind_not = 0, _dl_dynamic_weak = 0, _dl_fpu_control = 895, 
  _dl_initfirst = 0x0, _dl_cpuclock_offset = 3112989225230, 
  _dl_hp_timing_overhead = 11, _dl_profile = 0x0, _dl_profile_map = 0x0, 
  _dl_profile_output = 0x40012055 "/var/tmp", _dl_trace_prelink_map = 0x0, 
  _dl_trace_prelink = 0x0, _dl_correct_cache_id = 3, 
  _dl_num_relocations = 18819, _dl_num_cache_relocations = 5107, 
  _dl_hwcap = 58980863, _dl_hwcap_mask = 8388608, _dl_inhibit_rpath = 0x0, 
  _dl_origin_path = 0x0, _dl_all_dirs = 0x40015dd8, 
  _dl_init_all_dirs = 0x40015dd8, _dl_debug_fd = 2, 
  _dl_error_catch_tsd = 0x401567c0 <__libc_dl_error_tsd>, _dl_x86_cap_flags = {
    "fpu\000\000\000\000", "vme\000\000\000\000", "de\000\000\000\000\000", 
    "pse\000\000\000\000", "tsc\000\000\000\000", "msr\000\000\000\000", 
    "pae\000\000\000\000", "mce\000\000\000\000", "cx8\000\000\000\000", 
    "apic\000\000\000", "10\000\000\000\000\000", "sep\000\000\000\000", 
    "mtrr\000\000\000", "pge\000\000\000\000", "mca\000\000\000\000", 
    "cmov\000\000\000", "pat\000\000\000\000", "pse36\000\000", 
    "pn\000\000\000\000\000", "clflush", "20\000\000\000\000\000", 
    "dts\000\000\000\000", "acpi\000\000\000", "mmx\000\000\000\000", 
    "fxsr\000\000\000", "sse\000\000\000\000", "sse2\000\000\000", 
    "ss\000\000\000\000\000", "ht\000\000\000\000\000", 
    "tm\000\000\000\000\000", "ia64\000\000\000", "pbe\000\000\000\000"}, 
  _dl_x86_platforms = {"i386", "i486", "i586", "i686"}, _dl_rtld_map = {
    l_addr = 1073741824, l_name = 0x8048114 "/lib/ld-linux.so.2", 
    l_ld = 0x4001544c, l_next = 0xbf384000, l_prev = 0xbf385788, 
    l_libname = 0x400155a4, l_info = {0x0, 0x0, 0x40015484, 0x4001547c, 
      0x40015454, 0x4001545c, 0x40015464, 0x0, 0x0, 0x0, 0x4001546c, 
      0x40015474, 0x0, 0x0, 0x4001544c, 0x0, 0x0, 0x4001549c, 0x400154a4, 
      0x400154ac, 0x4001548c, 0x0, 0x0, 0x40015494, 0x0 <repeats 12 times>, 
      0x400154bc, 0x400154b4, 0x0, 0x400154cc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 
      0x0, 0x0, 0x0, 0x400154c4, 0x0 <repeats 25 times>}, l_phdr = 0x40000034, 
    l_entry = 0, l_phnum = 5, l_ldnum = 0, l_searchlist = {r_list = 0x0, 
      r_nlist = 0}, l_symbolic_searchlist = {r_list = 0x0, r_nlist = 0}, 
    l_loader = 0x0, l_nbuckets = 67, l_buckets = 0x400000dc, 
    l_chain = 0x400001e8, l_opencount = 29, l_type = lt_library, 
    l_relocated = 1, l_init_called = 1, l_global = 1, l_reserved = 0, 
    l_phdr_allocated = 0, l_soname_added = 1, l_faked = 0, 
    l_need_tls_init = 0, l_nversions = 6, l_versions = 0xbf382150, 
    l_rpath_dirs = {dirs = 0x0, malloced = 0}, l_reloc_result = 0x0, 
    l_versyms = 0x40000a1e, l_origin = 0x0, l_map_start = 1073741824, 
    l_map_end = 1073829720, l_scope_mem = {0x0, 0x0, 0x0, 0x0}, 
    l_scope_max = 0, l_scope = 0x0, l_local_scope = {0x0, 0x0}, l_dev = 0, 
    l_ino = 0, l_runpath_dirs = {dirs = 0x0, malloced = 0}, l_initfini = 0x0, 
    l_reldepsmax = 0, l_reldepsact = 0, l_reldeps = 0x0, l_feature_1 = 0, 
    l_flags_1 = 0, l_flags = 0, l_idx = 0, l_mach = {plt = 0, gotplt = 0}, 
    l_lookup_cache = {sym = 0x400006c0, type_class = 1, value = 0xbf389000, 
      ret = 0x40056d4c}, l_tls_initimage = 0x0, l_tls_initimage_size = 0, 
    l_tls_blocksize = 0, l_tls_align = 0, l_tls_firstbyte_offset = 0, 
    l_tls_offset = 0, l_tls_modid = 0}, 
  _dl_rtld_lock_recursive = 0x4001c3c0 <__pthread_mutex_lock>, 
  _dl_rtld_unlock_recursive = 0x4001c630 <__pthread_mutex_unlock>, 
  _dl_tls_max_dtv_idx = 1, _dl_tls_dtv_gaps = false, 
  _dl_tls_dtv_slotinfo_list = 0xbf3821f0, _dl_tls_static_nelem = 1, 
  _dl_tls_static_size = 1232, _dl_tls_static_used = 40, 
  _dl_tls_static_align = 32, _dl_initial_dtv = 0xbf3828d4, 
  _dl_tls_generation = 0, 
  _dl_init_static_tls = 0x4001ac40 <__pthread_init_static_tls>, 
  _dl_sysinfo = 1073744896, _dl_sysinfo_dso = 0x0}
	_dl_argc = 1
	_dl_argv_internal = (char **) 0xbfeee184
#1  0x4001f4db in ?? ()
    at ../nptl/sysdeps/unix/sysv/linux/i386/i486/lowlevelmutex.S:58
   from /lib/tls/libpthread.so.0
No locals.
#2  0x080aed54 in segv_mutex ()
No symbol table info available.
#3  0x080add18 in __JCR_LIST__ ()
No symbol table info available.
#4  0x000014a8 in ?? ()
No symbol table info available.
#5  0x4001c438 in ?? () from /lib/tls/libpthread.so.0
No symbol table info available.
#6  0x0000000b in ?? ()
No symbol table info available.
#7  0x422835a4 in ?? ()
No symbol table info available.
#8  0x0809b73f in segv_redirect (sig=0) at main.c:509
No locals.
0x40000c02	274	_dl_start (void *arg)
Comment 2 Warren Togami 2003-10-15 02:24:48 EDT
http://bugzilla.ximian.com/show_bug.cgi?id=48418
Closing UPSTREAM because dovecot (fixed in rawhide) no longer causes this crash.
 Evolution still needs to be fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.